<template>
  <div>
    <div class="relative bg-blue-light border border-grey-default rounded-md p-2 m-auto" style="width: 500px">
      <div class="relative">
        <div class="grid grid-cols-12 gap-4">
          <div v-for="unit in store.getUnits(store.selectedAreaId)" :key="unit.id" class="col-span-12 relative">
            <UnitDialog :unit="unit">
              <div class="bg-white border border-grey-default rounded-md h-60 cursor-pointer flex items-center justify-center" @click="() => {}">
                <t-span class="text-grey-light">Unit: {{ unit.name }}</t-span>
              </div>
              <people v-for="item in unit.passengers" :id="item.id" :key="item.id" :passenger="item"></people>
            </UnitDialog>
          </div>
        </div>
      </div>
    </div>
    <div class="mt-10 flex justify-center space-x-3 items-center">
      <div class="flex flex-col items-center justify-center">
        <div class="flex items-center space-x-4">
          <a-time-picker v-model="startTime" value-format="HH:mm:ss" placeholder="Start Time" />
          <a-time-picker v-model="endTime" value-format="HH:mm:ss" placeholder="End Time" />
          <div class="w-20">
            <b-action-button @click="onFilter">Filter</b-action-button>
          </div>
        </div>
      </div>
      <area-video-dialog>
        <b-outline-action-button>
          <a-icon type="video-camera" class="text-2xl leading-none text-blue-default" />
        </b-outline-action-button>
      </area-video-dialog>
    </div>
  </div>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import { useBuilding } from '~/store/building'
import People from '~/components/shared/People'
import UnitDialog from '~/components/unit/UnitDialog.vue'
import AreaVideoDialog from '~/components/video/AreaVideoDialog.vue'
import TSpan from '~/components/shared/typography/Span.vue'
import BActionButton from '~/components/shared/buttons/ActionButton'
import BOutlineActionButton from '~/components/shared/buttons/OutlineActionButton.vue'

export default defineComponent({
  components: { People, UnitDialog, AreaVideoDialog, TSpan, BActionButton, BOutlineActionButton },
   setup() {
    const store = useBuilding()
    return { store }
  },
  data() {
    return {
      startTime: this.store.currentStartTime,
      endTime: this.store.currentEndTime,
    }
  },
  watch: {
    'store.currentStartTime'() {
      this.startTime = this.store.currentStartTime
    },
    'store.currentEndTime'() {
      this.startTime = this.store.currentStartTime
    },
  },
  methods: {
    onFilter() {
      this.store.fetchFloors(this.store.currentDate, this.startTime, this.endTime, false)
    }
  }
})
</script>
